@echo off
if "%1"=="" goto USAGE
@echo on
parse -e -p -i%1.abl -o%1.tm1 -l%1.lst
@echo off
if errorlevel 1 goto ERR
@echo on
transfor -i%1.tm1 -o%1.tm2
@echo off
if errorlevel 1 goto ERR
@echo on
reduce -r3 -i%1.tm2 -o%1.tm3
@echo off
if errorlevel 1 goto ERR
@echo on
fusemap -d0 -c2 -kn -i%1.tm3 -o%1.out
@echo off
if errorlevel 1 goto ERR
@echo on
simulate -t1 -i%1.out -o%1.sim
@echo off
if errorlevel 1 goto ERR
@echo on
document -f0 -g0 -q0 -q2 -s -i%1.out -o%1.doc
:ERR
@echo off
if exist *.out del *.out
if exist *.tm? del *.tm?
if exist *.tt? del *.tt?
goto END
:USAGE
echo.
echo Usage:
echo        compile gates       generates u1.jed, gates.doc,.. from gates.abl
echo.

:END
