@echo off
REM ABEL 2.0 and PLDTEST 1.2  Oct 18 1986

IF "%1"=="" GOTO USAGE

copy blank u1.tst > nul
PARSE -i%1.abl -o%1.tm1 -l%1.lst %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errparse
TRANSFOR -i%1.tm1 -o%1.tm2
if errorlevel 1 goto errtrans
if exist %1.tm1 del %1.tm1
REDUCE -i%1.tm2 -o%1.tm3 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto erreduce
if exist %1.tm2 del %1.tm2
FUSEMAP -i%1.tm3 -o%1.out %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errfuse
if exist %1.tm3 del %1.tm3
SIMULATE -i%1.out -o%1.sim %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errsim
DOCUMENT -i%1.out -o%1.doc -g -q2 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errdoc
PLD -i%1.out -o -ucg -ua -l%1.rep
if errorlevel 1 goto errpld
copy u1.inc u1.tst > nul
PARSE -i%1.abl -o%1.tm1 -l%1.lst %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errparse
TRANSFOR -i%1.tm1 -o%1.tm2
if errorlevel 1 goto errtrans
if exist %1.tm1 del %1.tm1
REDUCE -i%1.tm2 -o%1.tm3 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto erreduce
if exist %1.tm2 del %1.tm2
FUSEMAP -i%1.tm3 -o%1.out %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errfuse
if exist %1.tm3 del %1.tm3
SIMULATE -i%1.out -o%1.sim %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errsim
DOCUMENT -i%1.out -o%1.doc -g -q2 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto errdoc
PLD -i%1.out -o -ucg -ua -l%1.rep
if errorlevel 1 goto errpld
goto exit
:errparse
echo Error(s) in PARSE
goto exit
:errtrans
DOCUMENT -i%1.tm1 -o%1.doc -g -q0 %2 %3 %4 %5 %6 %7 %8 %9
echo Error(s) in TRANSFOR
goto exit
:erreduce
DOCUMENT -i%1.tm2 -o%1.doc -g -q1 %2 %3 %4 %5 %6 %7 %8 %9
echo Error(s) in REDUCE
goto exit
:errfuse
DOCUMENT -i%1.tm3 -o%1.doc -g -v -q2 %2 %3 %4 %5 %6 %7 %8 %9
echo Error(s) in FUSEMAP
goto exit
:errsim
DOCUMENT -i%1.out -o%1.doc -f -g -v -q2 %2 %3 %4 %5 %6 %7 %8 %9
echo Error(s) in SIMULATE
goto exit
:errdoc
echo Error(s) in DOCUMENT
goto exit
:errpld
echo Error(s) in PLDtest
goto exit

:USAGE
ECHO.
ECHO ABEL file - Compiles file.abl and generates file.jed, file.doc, file.lst,..
ECHO Example: ABEL example  Generates example.jed, example.doc, example.lst,..
ECHO.

:exit
